/// <reference types="react" />
import { ValueRuleCell } from "../../ValueRuleCell";
import { BaseRule } from "../BaseRule";
export declare abstract class BaseBooleanRule extends BaseRule {
    renderOneLineValue(value: any): JSX.Element;
    renderListEditor(cell: ValueRuleCell): JSX.Element;
    renderOneLineEditor(cell: ValueRuleCell): JSX.Element;
}
